TypeInfo (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, class: TypeInfo

Package com.sun.jna.platform.win32.COM

# Class TypeInfo

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.COM.COMInvoker
com.sun.jna.platform.win32.COM.Unknown
com.sun.jna.platform.win32.COM.TypeInfo

All Implemented Interfaces:
  `NativeMapped`, `ITypeInfo`, `IUnknown`

Direct Known Subclasses:
  `TypeInfo.ByReference`

public class TypeInfo extends Unknown implements ITypeInfo
Wrapper class for the ITypeInfo interface.

Author:
  Tobias Wolf, wolf.tobias@gmx.net

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TypeInfo.ByReference`

- ## Field Summary

  ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `IID_IUNKNOWN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypeInfo()`
  Instantiates a new i type info.
  `TypeInfo(Pointer pvInstance)`
  Instantiates a new i type info.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinNT.HRESULT`
  `AddressOfMember(OaIdl.MEMBERID memid, OaIdl.INVOKEKIND invKind, PointerByReference ppv)`
  Address of member.
  `WinNT.HRESULT`
  `CreateInstance(IUnknown pUnkOuter, Guid.REFIID riid, PointerByReference ppvObj)`
  Creates the instance.
  `WinNT.HRESULT`
  `GetContainingTypeLib(PointerByReference ppTLib, WinDef.UINTByReference pIndex)`
  Gets the containing type lib.
  `WinNT.HRESULT`
  `GetDllEntry(OaIdl.MEMBERID memid, OaIdl.INVOKEKIND invKind, WTypes.BSTRByReference pBstrDllName, WTypes.BSTRByReference pBstrName, WinDef.WORDByReference pwOrdinal)`
  Gets the dll entry.
  `WinNT.HRESULT`
  `GetDocumentation(OaIdl.MEMBERID memid, WTypes.BSTRByReference pBstrName, WTypes.BSTRByReference pBstrDocString, WinDef.DWORDByReference pdwHelpContext, WTypes.BSTRByReference pBstrHelpFile)`
  Gets the documentation.
  `WinNT.HRESULT`
  `GetFuncDesc(WinDef.UINT index, PointerByReference ppFuncDesc)`
  Gets the func desc.
  `WinNT.HRESULT`
  `GetIDsOfNames(WTypes.LPOLESTR[] rgszNames, WinDef.UINT cNames, OaIdl.MEMBERID[] pMemId)`
  Gets the i ds of names.
  `WinNT.HRESULT`
  `GetImplTypeFlags(WinDef.UINT index, IntByReference pImplTypeFlags)`
  Gets the impl type flags.
  `WinNT.HRESULT`
  `GetMops(OaIdl.MEMBERID memid, WTypes.BSTRByReference pBstrMops)`
  Gets the mops.
  `WinNT.HRESULT`
  `GetNames(OaIdl.MEMBERID memid, WTypes.BSTR[] rgBstrNames, WinDef.UINT cMaxNames, WinDef.UINTByReference pcNames)`
  Gets the names.
  `WinNT.HRESULT`
  `GetRefTypeInfo(OaIdl.HREFTYPE hRefType, PointerByReference ppTInfo)`
  Gets the ref type info.
  `WinNT.HRESULT`
  `GetRefTypeOfImplType(WinDef.UINT index, OaIdl.HREFTYPEByReference pRefType)`
  Gets the ref type of impl type.
  `WinNT.HRESULT`
  `GetTypeAttr(PointerByReference ppTypeAttr)`
  Gets the type attr.
  `WinNT.HRESULT`
  `GetTypeComp(PointerByReference ppTComp)`
  Gets the type comp.
  `WinNT.HRESULT`
  `GetVarDesc(WinDef.UINT index, PointerByReference ppVarDesc)`
  Gets the var desc.
  `WinNT.HRESULT`
  `Invoke(WinDef.PVOID pvInstance, OaIdl.MEMBERID memid, WinDef.WORD wFlags, OleAuto.DISPPARAMS.ByReference pDispParams, Variant.VARIANT.ByReference pVarResult, OaIdl.EXCEPINFO.ByReference pExcepInfo, WinDef.UINTByReference puArgErr)`
  Invoke.
  `void`
  `ReleaseFuncDesc(OaIdl.FUNCDESC pFuncDesc)`
  Release func desc.
  `void`
  `ReleaseTypeAttr(OaIdl.TYPEATTR pTypeAttr)`
  Release type attr.
  `void`
  `ReleaseVarDesc(OaIdl.VARDESC pVarDesc)`
  Release var desc.

  ### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

  `AddRef, QueryInterface, Release`

  ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

  `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `AddRef, QueryInterface, Release`

- ## Constructor Details

  - ### TypeInfo

    public TypeInfo()
    Instantiates a new i type info.

  - ### TypeInfo

    public TypeInfo(Pointer pvInstance)
    Instantiates a new i type info.
    Parameters:
      `pvInstance` - the pv instance

- ## Method Details

  - ### GetTypeAttr

    public WinNT.HRESULT GetTypeAttr(PointerByReference ppTypeAttr)
    Gets the type attr.
    Specified by:
      `GetTypeAttr` in interface `ITypeInfo`
    Parameters:
      `ppTypeAttr` - the pp type attr
    Returns:
      the hresult

  - ### GetTypeComp

    public WinNT.HRESULT GetTypeComp(PointerByReference ppTComp)
    Gets the type comp.
    Specified by:
      `GetTypeComp` in interface `ITypeInfo`
    Parameters:
      `ppTComp` - the pp t comp
    Returns:
      the hresult

  - ### GetFuncDesc

    public WinNT.HRESULT GetFuncDesc(WinDef.UINT index, PointerByReference ppFuncDesc)
    Gets the func desc.
    Specified by:
      `GetFuncDesc` in interface `ITypeInfo`
    Parameters:
      `index` - the index
      `ppFuncDesc` - the pp func desc
    Returns:
      the hresult

  - ### GetVarDesc

    public WinNT.HRESULT GetVarDesc(WinDef.UINT index, PointerByReference ppVarDesc)
    Gets the var desc.
    Specified by:
      `GetVarDesc` in interface `ITypeInfo`
    Parameters:
      `index` - the index
      `ppVarDesc` - the pp var desc
    Returns:
      the hresult

  - ### GetNames

    public WinNT.HRESULT GetNames(OaIdl.MEMBERID memid, WTypes.BSTR[] rgBstrNames, WinDef.UINT cMaxNames, WinDef.UINTByReference pcNames)
    Gets the names.
    Specified by:
      `GetNames` in interface `ITypeInfo`
    Parameters:
      `memid` - the memid
      `rgBstrNames` - the rg bstr names
      `cMaxNames` - the c max names
      `pcNames` - the pc names
    Returns:
      the hresult

  - ### GetRefTypeOfImplType

    public WinNT.HRESULT GetRefTypeOfImplType(WinDef.UINT index, OaIdl.HREFTYPEByReference pRefType)
    Gets the ref type of impl type.
    Specified by:
      `GetRefTypeOfImplType` in interface `ITypeInfo`
    Parameters:
      `index` - the index
      `pRefType` - the ref type
    Returns:
      the hresult

  - ### GetImplTypeFlags

    public WinNT.HRESULT GetImplTypeFlags(WinDef.UINT index, IntByReference pImplTypeFlags)
    Gets the impl type flags.
    Specified by:
      `GetImplTypeFlags` in interface `ITypeInfo`
    Parameters:
      `index` - the index
      `pImplTypeFlags` - the impl type flags
    Returns:
      the hresult

  - ### GetIDsOfNames

    public WinNT.HRESULT GetIDsOfNames(WTypes.LPOLESTR[] rgszNames, WinDef.UINT cNames, OaIdl.MEMBERID[] pMemId)
    Gets the i ds of names.
    Specified by:
      `GetIDsOfNames` in interface `ITypeInfo`
    Parameters:
      `rgszNames` - the rgsz names
      `cNames` - the c names
      `pMemId` - the mem id
    Returns:
      the hresult

  - ### Invoke

    public WinNT.HRESULT Invoke(WinDef.PVOID pvInstance, OaIdl.MEMBERID memid, WinDef.WORD wFlags, OleAuto.DISPPARAMS.ByReference pDispParams, Variant.VARIANT.ByReference pVarResult, OaIdl.EXCEPINFO.ByReference pExcepInfo, WinDef.UINTByReference puArgErr)
    Invoke.
    Specified by:
      `Invoke` in interface `ITypeInfo`
    Parameters:
      `pvInstance` - the pv instance
      `memid` - the memid
      `wFlags` - the w flags
      `pDispParams` - the disp params
      `pVarResult` - the var result
      `pExcepInfo` - the excep info
      `puArgErr` - the pu arg err
    Returns:
      the hresult

  - ### GetDocumentation

    public WinNT.HRESULT GetDocumentation(OaIdl.MEMBERID memid, WTypes.BSTRByReference pBstrName, WTypes.BSTRByReference pBstrDocString, WinDef.DWORDByReference pdwHelpContext, WTypes.BSTRByReference pBstrHelpFile)
    Gets the documentation.
    Specified by:
      `GetDocumentation` in interface `ITypeInfo`
    Parameters:
      `memid` - the memid
      `pBstrName` - the bstr name
      `pBstrDocString` - the bstr doc string
      `pdwHelpContext` - the pdw help context
      `pBstrHelpFile` - the bstr help file
    Returns:
      the hresult

  - ### GetDllEntry

    public WinNT.HRESULT GetDllEntry(OaIdl.MEMBERID memid, OaIdl.INVOKEKIND invKind, WTypes.BSTRByReference pBstrDllName, WTypes.BSTRByReference pBstrName, WinDef.WORDByReference pwOrdinal)
    Gets the dll entry.
    Specified by:
      `GetDllEntry` in interface `ITypeInfo`
    Parameters:
      `memid` - the memid
      `invKind` - the inv kind
      `pBstrDllName` - the bstr dll name
      `pBstrName` - the bstr name
      `pwOrdinal` - the pw ordinal
    Returns:
      the hresult

  - ### GetRefTypeInfo

    public WinNT.HRESULT GetRefTypeInfo(OaIdl.HREFTYPE hRefType, PointerByReference ppTInfo)
    Gets the ref type info.
    Specified by:
      `GetRefTypeInfo` in interface `ITypeInfo`
    Parameters:
      `hRefType` - the h ref type
      `ppTInfo` - the pp t info
    Returns:
      the hresult

  - ### AddressOfMember

    public WinNT.HRESULT AddressOfMember(OaIdl.MEMBERID memid, OaIdl.INVOKEKIND invKind, PointerByReference ppv)
    Address of member.
    Specified by:
      `AddressOfMember` in interface `ITypeInfo`
    Parameters:
      `memid` - the memid
      `invKind` - the inv kind
      `ppv` - the ppv
    Returns:
      the hresult

  - ### CreateInstance

    public WinNT.HRESULT CreateInstance(IUnknown pUnkOuter, Guid.REFIID riid, PointerByReference ppvObj)
    Creates the instance.
    Specified by:
      `CreateInstance` in interface `ITypeInfo`
    Parameters:
      `pUnkOuter` - the unk outer
      `riid` - the riid
      `ppvObj` - the ppv obj
    Returns:
      the hresult

  - ### GetMops

    public WinNT.HRESULT GetMops(OaIdl.MEMBERID memid, WTypes.BSTRByReference pBstrMops)
    Gets the mops.
    Specified by:
      `GetMops` in interface `ITypeInfo`
    Parameters:
      `memid` - the memid
      `pBstrMops` - the bstr mops
    Returns:
      the hresult

  - ### GetContainingTypeLib

    public WinNT.HRESULT GetContainingTypeLib(PointerByReference ppTLib, WinDef.UINTByReference pIndex)
    Gets the containing type lib.
    Specified by:
      `GetContainingTypeLib` in interface `ITypeInfo`
    Parameters:
      `ppTLib` - the pp t lib
      `pIndex` - the index
    Returns:
      the hresult

  - ### ReleaseTypeAttr

    public void ReleaseTypeAttr(OaIdl.TYPEATTR pTypeAttr)
    Release type attr.
    Specified by:
      `ReleaseTypeAttr` in interface `ITypeInfo`
    Parameters:
      `pTypeAttr` - the type attr

  - ### ReleaseFuncDesc

    public void ReleaseFuncDesc(OaIdl.FUNCDESC pFuncDesc)
    Release func desc.
    Specified by:
      `ReleaseFuncDesc` in interface `ITypeInfo`
    Parameters:
      `pFuncDesc` - the func desc

  - ### ReleaseVarDesc

    public void ReleaseVarDesc(OaIdl.VARDESC pVarDesc)
    Release var desc.
    Specified by:
      `ReleaseVarDesc` in interface `ITypeInfo`
    Parameters:
      `pVarDesc` - the var desc